Bug 853050 - Review Request: hawtbuf - A rich byte buffer library
Summary: Review Request: hawtbuf - A rich byte buffer library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Spaulding
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 853052 853055
TreeView+ depends on / blocked
 
Reported: 2012-08-30 11:59 UTC by gil cattaneo
Modified: 2014-08-21 11:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-17 17:29:32 UTC
Type: ---
mspaulding06: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description gil cattaneo 2012-08-30 11:59:37 UTC
Spec URL: http://gil.fedorapeople.org/hawtbuf.spec
SRPM URL: http://gil.fedorapeople.org/hawtbuf-1.9-1.fc16.src.rpm
Description: This library implements a simple interface with working with
byte arrays. It is a shame that the Java SDK did not come with
a built in class that was just simply a byte[], int offset,
int length class which provided a rich interface similar to
what the String class does for char arrays. This library
fills in that void by providing a Buffer class which does provide
that rich interface.
Fedora Account System Username: gil

Comment 1 Erik Schilling 2012-08-30 13:30:55 UTC
Hi.

First: I am no "packager". This is an informal review:

Source0 should point to a location where the upstream tarball is located.
Also it looks like you took latest git status. There are tags inside of the git repository that mark the releases. Checkout https://github.com/fusesource/hawtbuf/tags.
You can also set the Source0 url to this location.

Making use of %{name} in the Source0 field cannot hurt either.

Best regards,
Erik

Comment 2 gil cattaneo 2012-08-30 13:39:35 UTC
hi Erik,
i haven't intention to use the upstream taraball.
the %{name} in the Source0 field could add in a second time, but for now isnt in my "roadmap".
thanks
regards

Comment 3 Matt Spaulding 2012-09-04 23:43:11 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[-]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)"
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[x]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[x]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

Rpmlint
-------
Checking: hawtbuf-javadoc-1.9-1.fc19.noarch.rpm
          hawtbuf-1.9-1.fc19.src.rpm
          hawtbuf-protoc-1.9-1.fc19.noarch.rpm
          hawtbuf-proto-1.9-1.fc19.noarch.rpm
          hawtbuf-1.9-1.fc19.noarch.rpm
hawtbuf.src: W: invalid-url Source0: hawtbuf-1.9.tar.xz
hawtbuf-protoc.noarch: W: spelling-error Summary(en_US) protobuf -> prototype
hawtbuf-protoc.noarch: W: spelling-error %description -l en_US protobuf -> prototype
hawtbuf-proto.noarch: W: spelling-error Summary(en_US) protobuf -> prototype
hawtbuf-proto.noarch: W: spelling-error %description -l en_US protobuf -> prototype
5 packages and 0 specfiles checked; 0 errors, 5 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint hawtbuf hawtbuf-protoc
hawtbuf-protoc.noarch: W: spelling-error Summary(en_US) protobuf -> prototype
hawtbuf-protoc.noarch: W: spelling-error %description -l en_US protobuf -> prototype
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'


Issues:

1. I don't think that the hawtbuf-tests.jar should be packaged. If this is only used for testing hawtbuf then it shouldn't be included.

2. It doesn't look like tests are getting run when building the package, but there are tests that come included. If possible, these tests should be run.


Please address the issues listed. Thanks!

Comment 4 gil cattaneo 2012-09-05 09:43:32 UTC
Spec URL: http://gil.fedorapeople.org/hawtbuf/1/hawtbuf.spec
SRPM URL: http://gil.fedorapeople.org/hawtbuf/1/hawtbuf-1.9-2.fc16.src.rpm

- removed hawtbuf-tests.jar
- performed integration test

Comment 5 Matt Spaulding 2012-09-05 13:09:57 UTC
Thanks for making the changes, Gil. Everything looks good.

APPROVED.

Comment 6 gil cattaneo 2012-09-05 13:15:54 UTC
New Package SCM Request
=======================
Package Name: hawtbuf
Short Description: A rich byte buffer library
Owners: gil
Branches: f17 f18
InitialCC: java-sig

Comment 7 Gwyn Ciesla 2012-09-05 13:37:32 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2012-09-05 16:18:17 UTC
hawtbuf-1.9-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/hawtbuf-1.9-2.fc18

Comment 9 Fedora Update System 2012-09-05 16:52:17 UTC
hawtbuf-1.9-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/hawtbuf-1.9-2.fc17

Comment 10 Fedora Update System 2012-09-07 11:33:47 UTC
hawtbuf-1.9-2.fc17 has been pushed to the Fedora 17 testing repository.

Comment 11 Fedora Update System 2012-09-17 17:29:32 UTC
hawtbuf-1.9-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 12 Fedora Update System 2012-09-17 22:55:20 UTC
hawtbuf-1.9-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 13 Darryl L. Pierce 2014-08-20 20:33:20 UTC
Package Change Request
======================
Package Name: hawtbuf
New Branches: epel7
Owners: mcpierce
InitialCC:

Comment 14 Gwyn Ciesla 2014-08-21 11:50:14 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.